using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ewide.Application
{
    [Table("bs_inspection_org")]
    [Comment("鉴定机构表")]
    public class BsInspectionOrg : Core.DEntityBase
    {
        [Comment("名称")]
        [MaxLength(100)]
        public string Name { get; set; }

        [Comment("机构备案编号(YYYYNNN,如2021001)")]
        [MaxLength(10)]
        public string Code { get; set; }

        [Comment("社会统一信用代码")]
        [MaxLength(50)]
        public string CreditCode { get; set; }

        [Comment("地址")]
        public string Address { get; set; }

        [Comment("联系人")]
        [MaxLength(50)]
        public string Contacts { get; set; }

        [Comment("联系人手机号")]
        [MaxLength(50)]
        public string ContactsPhone { get; set; }

        [Comment("法人代表")]
        [MaxLength(50)]
        public string LegalPerson { get; set; }

        [Comment("固定电话")]
        [MaxLength(50)]
        public string OrgTelephone { get; set; }

        [Comment("名录申请表")]
        public string ApplicationFormFiles { get; set; }

        [Comment("机构营业执照和法人证书")]
        public string OrgBusinessLicenseFiles { get; set; }

        [Comment("建设工程质量检测资质证书或检验检测机构资质认定证书")]
        public string InspectionQualificationCertificateFiles { get; set; }

        [Comment("办公场所资料(房产证、不动产登记证或房屋租赁合同等)")]
        public string OfficeInformationFiles { get; set; }

        [Comment("符合条件的从业人员职称证明、学历证明、劳动合同、社保证明等")]
        public string EmployeeCertificateFiles { get; set; }

        [Comment("开展房屋安全鉴定工作必要的设备计量检定证书、校准证书")]
        public string CalibrationCertificateFiles { get; set; }    

        [Comment("其他资料")]
        public string OtherFiles { get; set; }

        [Comment("状态 0登记中 1正常 -1已撤销 -2因红牌撤销")]
        public InspectionOrgStatus Status { get; set; }

    }
}
